Summary: RPM Auto-Installer and FTP Mirrorer
Name: autorpm
Version: 3.3.2
Release: 2
Vendor: Kirk Bauer <kirk@kaybee.org>
License: MIT
Group: Utilities/System
URL: http://www.autorpm.org
BuildArch: noarch
Source: ftp://ftp.kaybee.org/pub/linux/autorpm-3.3.2.tar.gz
Requires: perl,rpm
BuildRoot: %{_tmppath}/autorpm-build/

%description
AutoRPM is a program that can do any combination of the following: mirror RPMs
from  an  FTP  site,  keep installed RPMs consistent with an FTP site or local
directory, and keep installed RPMs in a cluster or network of systems  consis-
tent.   Brand new  command-line interactive mode  replaces crappy  menu-driven
interface in previous versions.  Now handles recursive dependencies!


%prep
%setup

%build


%install
install -m 0755 -d ${RPM_BUILD_ROOT}/var/spool/autorpm
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d/pools
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d/support
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d/keys
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d/addons
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d/triggers
install -m 0755 -d ${RPM_BUILD_ROOT}/var/spool/autorpm/scores

install -m 0755 -d ${RPM_BUILD_ROOT}%{_sbindir}
install -m 0755 autorpm.pl ${RPM_BUILD_ROOT}%{_sbindir}/autorpm

install -m 0755 -d ${RPM_BUILD_ROOT}/etc
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d/sample_configs
install -m 0600 autorpm.d/*.conf ${RPM_BUILD_ROOT}/etc/autorpm.d
install -m 0600 autorpm.d/sample_configs/* ${RPM_BUILD_ROOT}/etc/autorpm.d/sample_configs
install -m 0600 autorpm.d/keys/* ${RPM_BUILD_ROOT}/etc/autorpm.d/keys
install -m 0600 autorpm.d/support/* ${RPM_BUILD_ROOT}/etc/autorpm.d/support
install -m 0600 autorpm.d/pools/* ${RPM_BUILD_ROOT}/etc/autorpm.d/pools
install -m 0755 autorpm.d/triggers/* ${RPM_BUILD_ROOT}/etc/autorpm.d/triggers

install -m 0755 -d ${RPM_BUILD_ROOT}%{_mandir}/man5
install -m 0755 -d ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m 0644 man/autorpm.conf.5 ${RPM_BUILD_ROOT}%{_mandir}/man5
install -m 0644 man/autorpm.8 ${RPM_BUILD_ROOT}%{_mandir}/man8

install -m 0755 autorpm.cron ${RPM_BUILD_ROOT}/etc/autorpm.d/autorpm.cron
mkdir -p ${RPM_BUILD_ROOT}/etc/cron.daily
ln -sf /etc/autorpm.d/autorpm.cron ${RPM_BUILD_ROOT}/etc/cron.daily/autorpm.cron


%clean
rm -rf %{buildroot}

%post
# This will copy the sample config file to the real config file
# location only if there is no existing config file...
# It will also move the config file from the old location to the
# new location if necessary.
if [ ! -f /etc/autorpm.d/autorpm.conf ] ; then
   if [ -f /etc/autorpm.conf ] ; then
      echo "Moved /etc/autorpm.conf to /etc/autorpm.d/autorpm.conf" >&2
      mv /etc/autorpm.conf /etc/autorpm.d/autorpm.conf
   else
      cp /etc/autorpm.d/sample_configs/autorpm.conf-sample /etc/autorpm.d/autorpm.conf
   fi
fi


%pre


%preun


%postun


%files
%defattr(-,root,root)
%doc docs/* 
%dir /var/spool/autorpm
%dir /etc/autorpm.d
%dir /etc/autorpm.d/pools
%dir /etc/autorpm.d/addons
%dir /etc/autorpm.d/keys
%dir /etc/autorpm.d/sample_configs
%dir /etc/autorpm.d/triggers
%dir /var/spool/autorpm/scores
%verify(not mtime) %config(missingok) /etc/autorpm.d/*.conf
%verify(not mtime) %config(missingok) /etc/autorpm.d/sample_configs/*
%verify(not mtime) %config(missingok) /etc/autorpm.d/pools/*
%verify(not mtime) %config(missingok) /etc/autorpm.d/keys/*
%verify(not mtime) %config(missingok) /etc/autorpm.d/support/*
%verify(not mtime) %config(missingok) /etc/autorpm.d/autorpm.cron
%config(missingok) %attr(0755,root,root) /etc/autorpm.d/triggers/*
%{_sbindir}/autorpm
%doc %{_mandir}/man5/autorpm.conf.5*
%doc %{_mandir}/man8/autorpm.8*
/etc/cron.daily/autorpm.cron

%doc License project/CHANGES project/TODO

%changelog
* Thu Jan 30 2003 Kirk Bauer <kirk@kaybee.org> 3.2.1-1
- Since AutoRPM touches files at time, the mtime is no longer verified

* Wed Jan 29 2003 Kirk Bauer <kirk@kaybee.org> 3.2-1
- Added triggers directory under autorpm.d

* Thu Jun 20 2002 Kirk Bauer <kirk@kaybee.org> pre2.9-3
- Moved sample configs into sample_configs directory

* Mon Feb 25 2002 Kirk Bauer <kirk@kaybee.org> pre2.0-6
- Added TermReadlineGnu conf and pool file

* Fri Feb 22 2002 Kirk Bauer <kirk@kaybee.org> pre2.0-1
- Changes for release 2.0

* Mon Sep 24 2001 Bishop Clark (LC957) <bishop@platypus.bc.ca> 1.9.9-2
- moved some absolutes to macros to assist with cross-RH-platform compat
- this package needs review for FHS compliance

* Thu Jul 8 1999 Tim Powers <timp@redhat.com>
- cleaned up specfile (%files section)
- changed buildroot to /var/tmp/autorpm-build
- rebuilt for Powertools

* Wed Nov 18 1998 Kirk Bauer <kirk@kaybee.org>
- Modified to comply with RHCN standards

* Sun Mar 08 1998 Kirk Bauer <kirk@kaybee.org>
- initial release


